Bug 630270 - Review Request: ghc-transformers - Concrete functor and monad transformers
Review Request: ghc-transformers - Concrete functor and monad transformers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 630271 630280 630283 630288 746415
  Show dependency treegraph
 
Reported: 2010-09-04 10:28 EDT by Ben Boeckel
Modified: 2014-03-26 03:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-transformers-0.2.2.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 17:13:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 10:28:08 EDT
Spec URL: http://benboeckel.net/packaging/ghc-transformers/ghc-transformers.spec
SRPM URL: http://benboeckel.net/packaging/ghc-transformers/ghc-transformers-0.2.1.0-1.fc14.src.rpm
Description:
This part contains the monad transformer class, the concrete
monad transformers, operations and liftings. It can be used
on its own in Haskell 98 code, or with the monad classes in
the @monads-fd@ or @monads-tf@ packages, which automatically
lift operations introduced by monad transformers through
other transformers.

% lintmock fedora-14-x86_64-bb
ghc-transformers.src: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
ghc-transformers.src: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
ghc-transformers.src: W: spelling-error %description -l en_US fd -> FD, dd, ff
ghc-transformers.src: W: spelling-error %description -l en_US tf -> ft, t, f
ghc-transformers.src: W: strange-permission ghc-transformers.spec 0640L
ghc-transformers.src: W: strange-permission transformers-0.2.1.0.tar.gz 0640L
ghc-transformers.x86_64: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
ghc-transformers.x86_64: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
ghc-transformers.x86_64: W: spelling-error %description -l en_US fd -> FD, dd, ff
ghc-transformers.x86_64: W: spelling-error %description -l en_US tf -> ft, t, f
ghc-transformers-devel.x86_64: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
ghc-transformers-devel.x86_64: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
ghc-transformers-devel.x86_64: W: spelling-error %description -l en_US fd -> FD, dd, ff
ghc-transformers-devel.x86_64: W: spelling-error %description -l en_US tf -> ft, t, f
ghc-transformers-prof.x86_64: E: devel-dependency ghc-transformers-devel
ghc-transformers-prof.x86_64: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
ghc-transformers-prof.x86_64: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
ghc-transformers-prof.x86_64: W: spelling-error %description -l en_US fd -> FD, dd, ff
ghc-transformers-prof.x86_64: W: spelling-error %description -l en_US tf -> ft, t, f
ghc-transformers-prof.x86_64: W: no-documentation
ghc-transformers-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/transformers-0.2.1.0/libHStransformers-0.2.1.0_p.a
4 packages and 0 specfiles checked; 1 errors, 20 warnings.
Comment 1 Ben Boeckel 2010-10-30 17:36:40 EDT
Spec URL: http://benboeckel.net/packaging/ghc-transformers/ghc-transformers.spec
SRPM URL: http://benboeckel.net/packaging/ghc-transformers/ghc-transformers-0.2.2.0-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-transformers.src: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
ghc-transformers.src: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
ghc-transformers.src: W: spelling-error %description -l en_US fd -> FD, dd, ff
ghc-transformers.src: W: spelling-error %description -l en_US tf -> ft, t, f
ghc-transformers.src: W: strange-permission ghc-transformers.spec 0640L
ghc-transformers.src: W: strange-permission transformers-0.2.2.0.tar.gz 0640L
ghc-transformers.x86_64: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
ghc-transformers.x86_64: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
ghc-transformers.x86_64: W: spelling-error %description -l en_US fd -> FD, dd, ff
ghc-transformers.x86_64: W: spelling-error %description -l en_US tf -> ft, t, f
ghc-transformers-devel.x86_64: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
ghc-transformers-devel.x86_64: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
ghc-transformers-devel.x86_64: W: spelling-error %description -l en_US fd -> FD, dd, ff
ghc-transformers-devel.x86_64: W: spelling-error %description -l en_US tf -> ft, t, f
ghc-transformers-prof.x86_64: E: devel-dependency ghc-transformers-devel
ghc-transformers-prof.x86_64: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
ghc-transformers-prof.x86_64: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
ghc-transformers-prof.x86_64: W: spelling-error %description -l en_US fd -> FD, dd, ff
ghc-transformers-prof.x86_64: W: spelling-error %description -l en_US tf -> ft, t, f
ghc-transformers-prof.x86_64: W: no-documentation
ghc-transformers-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/transformers-0.2.2.0/libHStransformers-0.2.2.0_p.a
4 packages and 0 specfiles checked; 1 errors, 20 warnings.
Comment 2 Narasimhan 2010-10-31 08:14:03 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
 rpmlint  -i ghc-transformers-*.rpm
ghc-transformers.src: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers.src: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers.src: W: spelling-error %description -l en_US fd -> FD, dd, ff
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers.src: W: spelling-error %description -l en_US tf -> ft, t, f
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers.src: W: strange-permission ghc-transformers.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-transformers.src: W: strange-permission transformers-0.2.2.0.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-transformers.x86_64: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers.x86_64: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers.x86_64: W: spelling-error %description -l en_US fd -> FD, dd, ff
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers.x86_64: W: spelling-error %description -l en_US tf -> ft, t, f
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers-devel.x86_64: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers-devel.x86_64: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers-devel.x86_64: W: spelling-error %description -l en_US fd -> FD, dd, ff
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers-devel.x86_64: W: spelling-error %description -l en_US tf -> ft, t, f
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers-prof.x86_64: E: devel-dependency ghc-transformers-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-transformers-prof.x86_64: W: spelling-error Summary(en_US) functor -> function, perfunctory, perfunctorily
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers-prof.x86_64: W: spelling-error %description -l en_US liftings -> lifting, listings, siftings
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers-prof.x86_64: W: spelling-error %description -l en_US fd -> FD, dd, ff
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers-prof.x86_64: W: spelling-error %description -l en_US tf -> ft, t, f
The value of this tag appears to be misspelled. Please double-check.

ghc-transformers-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-transformers-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/transformers-0.2.2.0/libHStransformers-0.2.2.0_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 0 specfiles checked; 1 errors, 20 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, present in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Yes, present in base package.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

[~/ghc-transformers] md5sum transformers-0.2.2.0.tar.gz 
3470ac66116900cd1ba84d3744474e49  transformers-0.2.2.0.tar.gz

[~/ghc-transformers-0.2.2.0-1.fc14.src]$ md5sum transformers-0.2.2.0.tar.gz 
3470ac66116900cd1ba84d3744474e49  transformers-0.2.2.0.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Yes, validated on x86_64 http://koji.fedoraproject.org/koji/taskinfo?taskID=2566842

[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.

[+]MUST: Large documentation files must go in a -doc subpackage.
Developer documentation in devel package

[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed on x86_64. Install went fine. Tested the imports from the module provided by the package using a simple program. Compiled fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Ben Boeckel 2010-10-31 12:19:19 EDT
Thanks.

New Package CVS Request
=======================
Package Name: ghc-transformers
Short Description: Concrete functor and monad transformers
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 4 Kevin Fenzi 2010-11-02 23:57:18 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2010-11-03 00:37:03 EDT
ghc-transformers-0.2.2.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-transformers-0.2.2.0-1.fc13
Comment 6 Fedora Update System 2010-11-03 00:37:10 EDT
ghc-transformers-0.2.2.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-transformers-0.2.2.0-1.fc14
Comment 7 Fedora Update System 2010-11-03 17:11:15 EDT
ghc-transformers-0.2.2.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-transformers'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-transformers-0.2.2.0-1.fc14
Comment 8 Fedora Update System 2010-11-11 17:13:40 EST
ghc-transformers-0.2.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-11-11 17:21:36 EST
ghc-transformers-0.2.2.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Jens Petersen 2012-05-11 04:54:19 EDT
Package Change Request
======================
Package Name: ghc-transformers
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 11 Jon Ciesla 2012-05-11 08:25:39 EDT
Git done (by process-git-requests).
Comment 12 Jens Petersen 2013-12-26 22:02:13 EST
Package Change Request
======================
Package Name: ghc-transformers
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 13 Jens Petersen 2013-12-26 22:29:40 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.